$(function () {
    nav(); //侧边导航
});
//侧边导航
function nav() {
    $("#nav")
        .click(function () {
            if ($(this)
                .hasClass("cur")) {
                $("#subNav")
                    .addClass("show");
                $(this)
                    .removeClass("cur");
            } else {
                $(this)
                    .addClass("cur");
                $("#subNav")
                    .removeClass("show");
            }
        });
    $("#subNav .c_clos,#subNav .close")
        .click(function () {
            $("#subNav")
                .removeClass("show")
                .animate({ right: "-100%" });
            $("#nav")
                .addClass("cur");
        });
    $('#topsearch')
        .bind('click', function () {
            if ($('#search')
                .is(':hidden')) {
                $('#search')
                    .slideDown(200);
            } else {
                $('#search')
                    .slideUp(200);
            }
        })
}
// 首页
$('.hotgame>.title')
    .find('span')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.hotgame')
            .find('.hotbox')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })

$('.rank_t')
    .find('li')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.rank')
            .find('.rank_b')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })

$('.special>.title')
    .find('span')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.special')
            .find('ul')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })

$('.mustapp>.title')
    .find('span')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.mustapp')
            .find('ul')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
// 文章页
$('.youlike>ul')
    .find('li')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.youlike')
            .find('.info')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
// 下载页
$('.alike')
    .find('span')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.alike')
            .find('ul')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
// 下载列表页
$('.options')
    .find('a')
    .on('click', function () {
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
    })

$('.gamenav')
    .find('a')
    .on('click', function () {
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
    })
// 排行榜列表页
$('.rankbox>ul>li')
    .find('a')
    .on('click', function () {
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
    })
// 首页轮播
if ($(".swiper-container")
    .length > 0) {
    var mySwiper = new Swiper('.swiper-container', {
        autoplay: {
            disableOnInteraction: false
        , }
        , pagination: {
            el: '.swiper-pagination'
        , }
    , });
}
// 专题详情页展开内容
if ($('.topichead p:nth-last-child(1)')
    .height() > 40) {
    $('.topicbot')
        .on('click', function () {
            $('.topichead')
                .css('height', 'auto');
            $('.topicbot')
                .remove();
        })
} else {
    $('.topicbot')
        .remove();
}
// 遮盖
$(document)
    .ready(function () {
        $(".nodownload")
            .click(function () {
                modal.style.display = "block"; //显示弹出层
            })
        $("#closebtn")
            .click(function () {
                modal.style.display = "none"; //隐藏弹出层
            })
    })

function goTop(acceleration, time) {
    acceleration = acceleration || 0.1;
    time = time || 16;
    var x1 = 0;
    var y1 = 0;
    var x2 = 0;
    var y2 = 0;
    var x3 = 0;
    var y3 = 0;
    if (document.documentElement) {
        x1 = document.documentElement.scrollLeft || 0;
        y1 = document.documentElement.scrollTop || 0;
    }
    if (document.body) {
        x2 = document.body.scrollLeft || 0;
        y2 = document.body.scrollTop || 0;
    }
    var x3 = window.scrollX || 0;
    var y3 = window.scrollY || 0;
    // 滚动条到页面顶部的水平距离
    var x = Math.max(x1, Math.max(x2, x3));
    // 滚动条到页面顶部的垂直距离
    var y = Math.max(y1, Math.max(y2, y3));
    // 滚动距离 = 目前距离 / 速度, 因为距离原来越小, 速度是大于 1 的数, 所以滚动距离会越来越小
    var speed = 1 + acceleration;
    window.scrollTo(Math.floor(x / speed), Math.floor(y / speed));
    // 如果距离不为零, 继续调用迭代本函数
    if (x > 0 || y > 0) {
        var invokeFunction = "goTop(" + acceleration + ", " + time + ")";
        window.setTimeout(invokeFunction, time);
    }
}